#include <stdio.h>

int main() {
    char board[51][51];
    int N, M, cnt1, cnt2, min, res=64;
    scanf("%d %d",&N,&M);
    for(int i=0; i<N; i++) {
        scanf("%s",board[i]);
    }

    for(int i=0; i<N-7; i++) {
        for(int j=0; j<M-7; j++) {
            cnt1 = 0;
            cnt2 = 0;
            for(int n=0; n<8; n++) {
                for(int m=0; m<8; m++) {
                    if((n+m)%2==0){
                        if(board[i+n][j+m]!='W') cnt1++;
                        if(board[i+n][j+m]!='B') cnt2++;
                    }
                    else{
                        if(board[i+n][j+m]!='B') cnt1++;
                        if(board[i+n][j+m]!='W') cnt2++;
                    }
                }
            }
            min = cnt1>cnt2 ? cnt2 : cnt1;
            if(min<res) {
                if(min==0) {
                    printf("0\n");
                    return 0;
                }
                res = min;
            }
        }
    }

    printf("%d\n", res);

    return 0;
}